## openvas-scanner 5.0.7

=== CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: Top-level cmake control for the Scanner.
#
# Authors:
# Matthew Mundell <matthew.mundell@greenbone.net>
# Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>
#
# Copyright:
# Copyright (C) 2011-2015 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

message ("-- Configuring the Scanner...")

project (openvas-scanner C)

cmake_minimum_required (VERSION 2.6)

if (POLICY CMP0005)
  cmake_policy (SET CMP0005 OLD)
endif (POLICY CMP0005)

include (FindPkgConfig)

if (NOT PKG_CONFIG_FOUND)
  message(FATAL_ERROR "pkg-config executable not found. Aborting.")
endif (NOT PKG_CONFIG_FOUND)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug)
endif (NOT CMAKE_BUILD_TYPE)

## Retrieve svn revision (at configure time)
#  Not using Subversion_WC_INFO, as it would have to connect to the repo
find_program (SVN_EXECUTABLE svn DOC "subversion command line client")

macro (Subversion_GET_REVISION dir variable)
  execute_process (COMMAND ${SVN_EXECUTABLE} info ${CMAKE_SOURCE_DIR}/${dir}
    OUTPUT_VARIABLE ${variable}
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  string (REGEX REPLACE "^(.*\n)?Revision: ([^\n]+).*"
    "\\2" ${variable} "${${variable}}")
endmacro (Subversion_GET_REVISION)

if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
    if (SVN_EXECUTABLE)
      Subversion_GET_REVISION(. ProjectRevision)
      set (SVN_REVISION ".SVN.r${ProjectRevision}")
    else (SVN_EXECUTABLE)
      set (SVN_REVISION ".SVN")
    endif (SVN_EXECUTABLE)
  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")

# TODO: Check pkg-config (maybe with code like in gsa/CMakeLists.txt).

## CPack configuration

set (CPACK_CMAKE_GENERATOR "Unix Makefiles")
set (CPACK_GENERATOR "TGZ")
set (CPACK_INSTALL_CMAKE_PROJECTS ".;openvas-scanner;ALL;/")
set (CPACK_MODULE_PATH "")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
set (CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_TOPLEVEL_TAG "")
set (CPACK_SYSTEM_NAME "")
set (CPACK_TOPLEVEL_TAG "")
set (CPACK_PACKAGE_VERSION_MAJOR "5")
set (CPACK_PACKAGE_VERSION_MINOR "0")

# Use this scheme for stable releases
set (CPACK_PACKAGE_VERSION_PATCH "7${SVN_REVISION}")
set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
# Use this scheme for +betaN and +rcN releases:
#set (CPACK_PACKAGE_VERSION_PATCH "+beta1${SVN_REVISION}")
#set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_PATCH}")

set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_PACKAGE_VENDOR "The OpenVAS Project")
set (CPACK_SOURCE_IGNORE_FILES
"/.svn/"
"/_CPack_Packages/"
"/CMakeFiles/"
"cmake$"
"swp$"
"Cache.txt$"
".tar.gz"
"install_manifest.txt"
"Makefile"
"/doc/generated/"
"log.conf$"
"Doxyfile$"
"Doxyfile_full$"
"openvassd.8$"
"VERSION$"
"tools/openvas-mkcert$"
"tools/openvas-mkcert-client$"
"tools/openvas-nvt-sync$"
"tools/greenbone-nvt-sync$"
"doc/example_redis_2_4.conf$"
"doc/example_redis_2_6.conf$"
)

include (CPack)

## Variables

if (SYSCONF_INSTALL_DIR)
  set (SYSCONFDIR "${SYSCONF_INSTALL_DIR}")
endif (SYSCONF_INSTALL_DIR)

if (NOT SYSCONFDIR)
  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
endif (NOT SYSCONFDIR)

if (NOT EXEC_PREFIX)
  set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif (NOT EXEC_PREFIX)

if (NOT BINDIR)
  set (BINDIR "${EXEC_PREFIX}/bin")
endif (NOT BINDIR)

if (NOT SBINDIR)
  set (SBINDIR "${EXEC_PREFIX}/sbin")
endif (NOT SBINDIR)

if (NOT LIBDIR)
  set (LIBDIR "${EXEC_PREFIX}/lib")
endif (NOT LIBDIR)

if (NOT LOCALSTATEDIR)
  set (LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var")
endif (NOT LOCALSTATEDIR)

if (NOT DATADIR)
  set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

#if (NOT SYSCONFDIR)
#  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
#endif (NOT SYSCONFDIR)

set (OPENVAS_DATA_DIR    "${DATADIR}/openvas")
set (OPENVAS_STATE_DIR   "${LOCALSTATEDIR}/lib/openvas")
set (OPENVAS_LOG_DIR     "${LOCALSTATEDIR}/log/openvas")
set (OPENVAS_CACHE_DIR   "${LOCALSTATEDIR}/cache/openvas")
set (OPENVAS_PID_DIR     "${LOCALSTATEDIR}/run")
set (OPENVAS_SYSCONF_DIR "${SYSCONFDIR}/openvas")

set (OPENVAS_NVT_DIR     "${OPENVAS_STATE_DIR}/plugins")

set (OPENVAS_LIB_INSTALL_DIR     "${LIBDIR}")
set (OPENVAS_SCANNER_CERTIFICATE "${OPENVAS_STATE_DIR}/CA/servercert.pem")
set (OPENVAS_SCANNER_KEY         "${OPENVAS_STATE_DIR}/private/CA/serverkey.pem")
set (OPENVAS_CLIENT_CERTIFICATE  "${OPENVAS_STATE_DIR}/CA/clientcert.pem")
set (OPENVAS_CLIENT_KEY          "${OPENVAS_STATE_DIR}/private/CA/clientkey.pem")
set (OPENVAS_CA_CERTIFICATE      "${OPENVAS_STATE_DIR}/CA/cacert.pem")

set (OPENVASSD_MESSAGES "${OPENVAS_LOG_DIR}/openvassd.messages")
set (OPENVASSD_DEBUGMSG "${OPENVAS_LOG_DIR}/openvassd.dump")
set (OPENVASSD_CONF     "${OPENVAS_SYSCONF_DIR}/openvassd.conf")

set (NVT_TIMEOUT "320")
set (SCANNER_NVT_TIMEOUT "36000")

message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")

## Dependency checks

pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=8.0.2)
pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=8.0.2)
pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=8.0.2)
pkg_check_modules (LIBOPENVAS_OMP REQUIRED libopenvas_omp>=8.0.2)
pkg_check_modules (GLIB REQUIRED glib-2.0>=2.16)

message (STATUS "Looking for libgcrypt...")
find_library (GCRYPT gcrypt)
if (NOT GCRYPT)
  message (SEND_ERROR "The libgcrypt library is required.")
else (NOT GCRYPT)
  message (STATUS "Looking for libgcrypt... ${GCRYPT}")
  execute_process (COMMAND libgcrypt-config --libs
    OUTPUT_VARIABLE GCRYPT_LDFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process (COMMAND libgcrypt-config --cflags
    OUTPUT_VARIABLE GCRYPT_CFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE)
endif (NOT GCRYPT)

## Version

string (REPLACE "
" "" OPENVASSD_VERSION ${CPACK_PACKAGE_VERSION})

# Configure Doxyfile with version number
configure_file (doc/Doxyfile.in doc/Doxyfile @ONLY)
configure_file (doc/Doxyfile_full.in doc/Doxyfile_full @ONLY)
configure_file (doc/openvassd.8.in doc/openvassd.8 @ONLY)
configure_file (doc/example_redis_2_4.conf.in doc/example_redis_2_4.conf @ONLY)
configure_file (doc/example_redis_2_6.conf.in doc/example_redis_2_6.conf @ONLY)
configure_file (VERSION.in VERSION @ONLY)
configure_file (tools/openvas-mkcert.in tools/openvas-mkcert @ONLY)
configure_file (tools/openvas-mkcert-client.in tools/openvas-mkcert-client @ONLY)
configure_file (tools/openvas-nvt-sync.in tools/openvas-nvt-sync @ONLY)
configure_file (tools/greenbone-nvt-sync.in tools/greenbone-nvt-sync @ONLY)
# TODO: Once  Scanner has a proper logging mechanism like Manager.
#configure_file (src/openvassd_log_conf.cmake_in src/openvassd_log.conf)

## Program

set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2 -fstack-protector -Wl,-z,relro -Wl,-z,now")

set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror")
set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} ${HARDENING_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE")

add_subdirectory (src)

## Documentation

add_subdirectory (doc)

## Install


## Install

install (FILES ${CMAKE_BINARY_DIR}/src/openvassd
  DESTINATION ${SBINDIR}
  PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
  GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

# TODO: Once Scanner has a proper logging mechanism like Manager.
#install (FILES openvassd_log.conf
#         DESTINATION ${OPENVAS_SYSCONF_DIR})

install (FILES ${CMAKE_BINARY_DIR}/tools/openvas-mkcert
               ${CMAKE_BINARY_DIR}/tools/openvas-nvt-sync
               ${CMAKE_BINARY_DIR}/tools/greenbone-nvt-sync
         DESTINATION ${SBINDIR}
         PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
                     GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES ${CMAKE_BINARY_DIR}/tools/openvas-mkcert-client
         DESTINATION ${BINDIR}
         PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
                     GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES ${CMAKE_SOURCE_DIR}/doc/openvas-mkcert-client.1
          DESTINATION ${DATADIR}/man/man1 )

install (FILES ${CMAKE_BINARY_DIR}/doc/openvassd.8
         DESTINATION ${DATADIR}/man/man8 )

install (FILES ${CMAKE_SOURCE_DIR}/doc/openvas-mkcert.8
               ${CMAKE_SOURCE_DIR}/doc/openvas-nvt-sync.8
               ${CMAKE_SOURCE_DIR}/doc/greenbone-nvt-sync.8
         DESTINATION ${DATADIR}/man/man8 )

install (FILES ${CMAKE_BINARY_DIR}/doc/example_redis_2_4.conf
               ${CMAKE_BINARY_DIR}/doc/example_redis_2_6.conf
         DESTINATION ${DATADIR}/doc/openvas-scanner/ )

install (DIRECTORY DESTINATION ${OPENVAS_NVT_DIR})
install (DIRECTORY DESTINATION ${OPENVAS_CACHE_DIR})

## Tests

enable_testing ()

## End

=== src/CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: CMakefile for the OpenVAS Scanner program
#
# Authors:
# Matthew Mundell <matthew.mundell@greenbone.net>
# Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>
#
# Copyright:
# Copyright (C) 2011 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

## Program

add_executable (openvassd attack.c comm.c hosts.c log.c
                nasl_plugins.c ntp.c openvassd.c otp.c
                pluginlaunch.c pluginload.c
                pluginscheduler.c plugs_req.c
                processes.c sighand.c utils.c)

set_target_properties (openvassd PROPERTIES LINKER_LANGUAGE C)

include_directories (${GLIB_INCLUDE_DIRS} ${LIBOPENVAS_NASL_INCLUDE_DIRS}
                     ${LIBOPENVAS_BASE_INCLUDE_DIRS}
                     ${LIBOPENVAS_MISC_INCLUDE_DIRS}
                     ${LIBOPENVAS_OMP_INCLUDE_DIRS})

if (OPENVASSD_VERSION)
  add_definitions (-DOPENVASSD_VERSION=\\\"${OPENVASSD_VERSION}\\\")
endif (OPENVASSD_VERSION)

add_definitions (-DPREFIX=\\\"${CMAKE_INSTALL_PREFIX}\\\")

if (OPENVAS_NVT_DIR)
  add_definitions (-DOPENVAS_NVT_DIR=\\\"${OPENVAS_NVT_DIR}\\\")
endif (OPENVAS_NVT_DIR)

if (OPENVAS_CACHE_DIR)
  add_definitions (-DOPENVAS_CACHE_DIR=\\\"${OPENVAS_CACHE_DIR}\\\")
endif (OPENVAS_CACHE_DIR)

if (OPENVAS_SCANNER_CERTIFICATE)
  add_definitions (-DSCANNERCERT=\\\"${OPENVAS_SCANNER_CERTIFICATE}\\\")
endif (OPENVAS_SCANNER_CERTIFICATE)

if (OPENVAS_SCANNER_KEY)
  add_definitions (-DSCANNERKEY=\\\"${OPENVAS_SCANNER_KEY}\\\")
endif (OPENVAS_SCANNER_KEY)

if (OPENVAS_CLIENT_CERTIFICATE)
  add_definitions (-DCLIENTCERT=\\\"${OPENVAS_CLIENT_CERTIFICATE}\\\")
endif (OPENVAS_CLIENT_CERTIFICATE)

if (OPENVAS_CLIENT_KEY)
  add_definitions (-DCLIENTKEY=\\\"${OPENVAS_CLIENT_KEY}\\\")
endif (OPENVAS_CLIENT_KEY)

if (OPENVAS_CA_CERTIFICATE)
  add_definitions (-DCACERT=\\\"${OPENVAS_CA_CERTIFICATE}\\\")
endif (OPENVAS_CA_CERTIFICATE)

if (OPENVAS_LOG_DIR)
  add_definitions (-DOPENVAS_LOG_DIR=\\\"${OPENVAS_LOG_DIR}\\\")
endif (OPENVAS_LOG_DIR)

if (OPENVASSD_MESSAGES)
  add_definitions (-DOPENVASSD_MESSAGES=\\\"${OPENVASSD_MESSAGES}\\\")
endif (OPENVASSD_MESSAGES)

if (OPENVASSD_DEBUGMSG)
  add_definitions (-DOPENVASSD_DEBUGMSG=\\\"${OPENVASSD_DEBUGMSG}\\\")
endif (OPENVASSD_DEBUGMSG)

if (OPENVASSD_CONF)
  add_definitions (-DOPENVASSD_CONF=\\\"${OPENVASSD_CONF}\\\")
endif (OPENVASSD_CONF)

if (OPENVAS_STATE_DIR)
  add_definitions (-DOPENVAS_STATE_DIR=\\\"${OPENVAS_STATE_DIR}\\\")
endif (OPENVAS_STATE_DIR)

if (OPENVAS_PID_DIR)
  add_definitions (-DOPENVAS_PID_DIR=\\\"${OPENVAS_PID_DIR}\\\")
endif (OPENVAS_PID_DIR)

if (SYSCONFDIR)
  add_definitions (-DSYSCONFDIR=\\\"${SYSCONFDIR}\\\")
endif (SYSCONFDIR)

if (OPENVAS_SYSCONF_DIR)
  add_definitions (-DOPENVAS_SYSCONF_DIR=\\\"${OPENVAS_SYSCONF_DIR}\\\")
endif (OPENVAS_SYSCONF_DIR)

if (OPENVAS_DATA_DIR)
  add_definitions (-DOPENVAS_DATA_DIR=\\\"${OPENVAS_DATA_DIR}\\\")
endif (OPENVAS_DATA_DIR)

if (NVT_TIMEOUT)
  add_definitions (-DNVT_TIMEOUT=${NVT_TIMEOUT})
endif (NVT_TIMEOUT)

target_link_libraries (openvassd ${LIBOPENVAS_NASL_LDFLAGS}
                       ${LIBOPENVAS_BASE_LDFLAGS} ${LIBOPENVAS_MISC_LDFLAGS}
                       ${LIBOPENVAS_OMP_LDFLAGS} ${GLIB_LDFLAGS}
                       ${GCRYPT_LDFLAGS})

## Tests

enable_testing ()

## Static analysis

add_custom_target (splint COMMENT "Running splint..."
                   COMMAND sh -c \"splint -booltype gboolean -predboolint +unixlib +export-header `pkg-config --cflags glib-2.0` `pkg-config --cflags libopenvas` *.c\")

add_custom_target (rats COMMENT "Running rats..."
                   COMMAND sh -c \"rats --warning 2 *.[ch]\")

add_custom_target (flawfinder COMMENT "Running flawfinder..."
                   COMMAND sh -c \"flawfinder *.[ch]\")

add_custom_target (check COMMENT "Checking code...")
add_dependencies (check splint rats flawfinder)

## Tag files

set (C_FILES "attack.c" "comm.c" "hosts.c" "log.c"
     "nasl_plugins.c" "ntp.c" "openvassd.c" "otp.c"
     "pluginlaunch.c" "pluginload.c"
     "pluginscheduler.c" "plugs_req.c"
     "processes.c" "sighand.c" "utils.c")
add_custom_target (etags COMMENT "Building TAGS..."
                   COMMAND etags ${C_FILES})
add_custom_target (ctags COMMENT "Building tags..."
                   COMMAND ctags ${C_FILES})
add_custom_target (tags COMMENT "Building tags files...")
add_dependencies (tags etags ctags)

## End

=== debian/changelog ===
openvas-scanner (5.0.7-3) unstable; urgency=medium

  * Add German debconf templates translation (Closes: #843771)
  * Add Brazilian Portuguese debconf templates translation (Closes: #846527)
  * Add Dutch debconf templates translation (Closes: #845694)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 13 Dec 2016 20:05:13 +0800

openvas-scanner (5.0.7-2) unstable; urgency=medium

  * Fix typo in zh_TW.po
  * Add French debconf templates translation (Closes: #843625)
  * Add lsb-base dependency

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 08 Nov 2016 22:45:17 +0800

openvas-scanner (5.0.7-1) unstable; urgency=medium

  * Import upstream version to Debian (Closes: #838124)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Tue, 20 Sep 2016 14:33:27 +0800

openvas-scanner (5.0.5-0kali1) kali-experimental; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Jun 2016 11:15:25 +0200

openvas-scanner (5.0.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 11 Sep 2015 09:31:32 +0200

openvas-scanner (5.0.1-0kali3) kali-dev; urgency=medium

  * Enable systemd postinst snippets.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Jul 2015 17:01:02 +0200

openvas-scanner (5.0.1-0kali2) kali-dev; urgency=medium

  * Add a proper systemd service file.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Jul 2015 15:49:30 +0200

openvas-scanner (5.0.1-0kali1) kali; urgency=medium

  * Import new upstream release
  * Add redis-server (>= 2.4.0) as depends
  * Add .examples to install examples files for redis-server
  * Update debian/copyright

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Apr 2015 17:02:54 +0200

openvas-scanner (4.0.2-0kali4) kali-dev; urgency=medium

  * Rebuild in kali-dev for libgcrypt11/gnutls28 transition. 

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 Nov 2014 18:47:38 +0100

openvas-scanner (4.0.2-0kali3) kali; urgency=medium

  * Don't start/stop/restart the init script in maintainer scripts as it tends
    to not work when not properly configured.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 26 Aug 2014 10:35:53 +0200

openvas-scanner (4.0.2-0kali2) kali; urgency=medium

  * Fix init script by dropping "-q".

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Aug 2014 11:52:52 +0200

openvas-scanner (4.0.2-0kali1) kali; urgency=medium

  * New upstream release
  * Add file debian/copyright
  * Add file debian/source/format
  * Update debian/rules to use debhelper 9
  * Add "Default stop" 1 in .init

 -- Sophie Brun <sophie@freexian.com>  Thu, 31 Jul 2014 16:02:44 +0200

openvas-scanner (3.4.0-0kali1) kali; urgency=low

  * New upsteam release.
  * Update build dependencies. 

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 11:12:08 +0200

openvas-scanner (3.3.1-1kali1) kali; urgency=low

  * Version bump

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 14:13:32 -0500

openvas-scanner (3.3.1-1kali0) kali; urgency=low

  [ Stephan Kleine ]
  * New upstream release
    - NVT management code has been updated to reflect the updated openvas-libraries
      API.
    - The optional use of the external tool "ovaldi" has been made more secure.
    - OpenVAS Scanner now uses UTC internally.
    - The greenbone-nvt-sync script has been updated.
    - Changed: Do not force execution of ACT_INIT category.
    - Fixed: A number of potential resource leaks.
    - Fixed: A number of compiler warnings when compiling with gcc 4.6.
    - Fixed: Usage of the mktemp template in openvas-nvt-sync.
    - Removed: Support for shared sockets.
    - New: The scanner options "network_scan" and "report_host_details" have been
      added to the default scanner options.

  [ Mati Aharoni ]
  * Version update

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 14:01:31 -0500

openvas-scanner (3.2.5-1) UNRELEASED; urgency=low

  * New upstream release
    - The optional use of the external tool "ovaldi" has been made more secure.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 04 Nov 2011 21:42:26 +0100

openvas-scanner (3.2.4-1) UNRELEASED; urgency=low

  * New upstream release
    - Fixed: Two potential resource leaks.
    - Fixed: A number of compiler warning when compiling with gcc 4.6.
    - Fixed: Usage of the mktemp template in openvas-nvt-sync.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 08 Jun 2011 20:16:05 +0200

openvas-scanner (3.2.3-1) UNRELEASED; urgency=low

  * New upstream release
    - Fixed: Three potential resource leaks.
    - Fixed: Generation of code documentation.
    - Updated: Feed synchronization scripts.
    - Changed: The openvas-nvt-sync script will now perform the initial feed
      synchronization via HTTP instead of rsync.
    - Changed: The openvas-nvt-sync script will now default to synchronize into the
      NVT directory used by the OpenVAS Scanner instead of the one defined at
      compile time.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Mon, 11 Apr 2011 19:26:36 +0200

openvas-scanner (3.2.2-1) UNRELEASED; urgency=low

  * New upstream release
    - The last bashism has been removed from the openvas-nvt-sync synchronization
      script.
    - The greenbone-nvt-sync script now logs additional information during
      synchronization.
    - An unimplemented and superfluous function declaration has been removed.
    - The openvassd man page has been updated.
    - The build environment has been consolidated.
    - The greenbone-nvt-sync script has been improved.
    - OpenVAS Scanner now sets a default value for the "unscanned_closed"
      preference.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 23 Feb 2011 19:39:35 +0100

openvas-scanner (3.2.0-1) UNRELEASED; urgency=low

  * New upstream release
    - The sync scripts have been updated.
    - OpenVAS Scanner now uses pkg-config to find libraries.
    - Installation of the openvas-services file has been moved to openvas-libraries.


=== debian/control ===
Source: openvas-scanner
Section: admin
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Stephan Kleine <bitshuffler@opensuse.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 9.20151219),
               dh-systemd,
               cmake (>= 2.6),
               pkg-config,
               libglib2.0-dev,
               libgcrypt11-dev,
               libgnutls28-dev,
               libpcap-dev,
               libopenvas-dev (>= 8.0.2),
               po-debconf,
               doxygen
Standards-Version: 3.9.8
Homepage: http://www.openvas.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git

Package: openvas-scanner
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, redis-server,
         lsb-base (>= 3.0-6)
Replaces: openvas-server, openvas-plugins
Conflicts: openvas-server, openvas-plugins
Recommends: rsync, nmap
Suggests: openvas-client, snmp, pnscan, strobe, ike-scan
Description: remote network security auditor - scanner
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a scan server, and a client. The scanner/daemon,
 openvassd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package provides the scanner.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with systemd

override_dh_auto_configure:
	dh_auto_configure -- -DLOCALSTATEDIR=/var -DSYSCONFDIR=/etc -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=release

override_dh_install:
	dh_install --list-missing

override_dh_installinit:
	dh_installinit --no-start

override_dh_strip:
	dh_strip --dbgsym-migration='openvas-scanner (<< 5.0.7-1~)'

override_dh_auto_clean:
	debconf-updatepo
	dh_auto_clean

## openvas-scanner 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>
 #
 # Copyright:
-# Copyright (C) 2011-2015 Greenbone Networks GmbH
+# Copyright (C) 2011-2016 Greenbone Networks GmbH
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -27,7 +27,7 @@
 
 project (openvas-scanner C)
 
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 2.8)
 
 if (POLICY CMP0005)
   cmake_policy (SET CMP0005 OLD)
@@ -56,17 +56,44 @@
 endmacro (Subversion_GET_REVISION)
 
 if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
-  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
+  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/" OR EXISTS "${CMAKE_SOURCE_DIR}/../.svn/")
     if (SVN_EXECUTABLE)
       Subversion_GET_REVISION(. ProjectRevision)
-      set (SVN_REVISION ".SVN.r${ProjectRevision}")
+      set (SVN_REVISION "~svn${ProjectRevision}")
     else (SVN_EXECUTABLE)
-      set (SVN_REVISION ".SVN")
+      set (SVN_REVISION "~svn")
     endif (SVN_EXECUTABLE)
-  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
+  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/" OR EXISTS "${CMAKE_SOURCE_DIR}/../.svn/")
 endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")
 
 # TODO: Check pkg-config (maybe with code like in gsa/CMakeLists.txt).
+
+## Project version
+# The following three variables should be set through the project command once
+# we require CMake >= 3.0
+set (PROJECT_VERSION_MAJOR 5)
+set (PROJECT_VERSION_MINOR 1)
+set (PROJECT_VERSION_PATCH 1)
+
+# Set beta version if this is a beta release series,
+# unset if this is a stable release series.
+#set (PROJECT_BETA_RELEASE 1)
+
+if (SVN_REVISION)
+  set (PROJECT_VERSION_SVN "${SVN_REVISION}")
+endif (SVN_REVISION)
+
+# If PROJECT_BETA_RELEASE is set, the version string will be set to:
+#   "major.minor+beta${PROJECT_BETA_RELEASE}"
+# If PROJECT_BETA_RELEASE is NOT set, the version string will be set to:
+#   "major.minor.patch"
+if (PROJECT_BETA_RELEASE)
+  set (PROJECT_VERSION_SUFFIX "+beta${PROJECT_BETA_RELEASE}")
+else (PROJECT_BETA_RELEASE)
+  set (PROJECT_VERSION_SUFFIX ".${PROJECT_VERSION_PATCH}")
+endif (PROJECT_BETA_RELEASE)
+
+set (PROJECT_VERSION_STRING "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${PROJECT_VERSION_SUFFIX}")
 
 ## CPack configuration
 
@@ -81,41 +108,16 @@
 set (CPACK_SOURCE_TOPLEVEL_TAG "")
 set (CPACK_SYSTEM_NAME "")
 set (CPACK_TOPLEVEL_TAG "")
-set (CPACK_PACKAGE_VERSION_MAJOR "5")
-set (CPACK_PACKAGE_VERSION_MINOR "0")
-
-# Use this scheme for stable releases
-set (CPACK_PACKAGE_VERSION_PATCH "7${SVN_REVISION}")
-set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
-# Use this scheme for +betaN and +rcN releases:
-#set (CPACK_PACKAGE_VERSION_PATCH "+beta1${SVN_REVISION}")
-#set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_PATCH}")
+
+set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_SVN}")
 
 set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_PACKAGE_VENDOR "The OpenVAS Project")
 set (CPACK_SOURCE_IGNORE_FILES
+"${CMAKE_BINARY_DIR}"
 "/.svn/"
-"/_CPack_Packages/"
-"/CMakeFiles/"
-"cmake$"
 "swp$"
-"Cache.txt$"
-".tar.gz"
-"install_manifest.txt"
-"Makefile"
-"/doc/generated/"
-"log.conf$"
-"Doxyfile$"
-"Doxyfile_full$"
-"openvassd.8$"
-"VERSION$"
-"tools/openvas-mkcert$"
-"tools/openvas-mkcert-client$"
-"tools/openvas-nvt-sync$"
-"tools/greenbone-nvt-sync$"
-"doc/example_redis_2_4.conf$"
-"doc/example_redis_2_6.conf$"
 )
 
 include (CPack)
@@ -157,22 +159,21 @@
 #if (NOT SYSCONFDIR)
 #  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
 #endif (NOT SYSCONFDIR)
+if (NOT OPENVAS_RUN_DIR)
+  set (OPENVAS_RUN_DIR "${LOCALSTATEDIR}/run")
+endif (NOT OPENVAS_RUN_DIR)
 
 set (OPENVAS_DATA_DIR    "${DATADIR}/openvas")
 set (OPENVAS_STATE_DIR   "${LOCALSTATEDIR}/lib/openvas")
 set (OPENVAS_LOG_DIR     "${LOCALSTATEDIR}/log/openvas")
 set (OPENVAS_CACHE_DIR   "${LOCALSTATEDIR}/cache/openvas")
-set (OPENVAS_PID_DIR     "${LOCALSTATEDIR}/run")
 set (OPENVAS_SYSCONF_DIR "${SYSCONFDIR}/openvas")
 
-set (OPENVAS_NVT_DIR     "${OPENVAS_STATE_DIR}/plugins")
+if (NOT OPENVAS_NVT_DIR)
+  set (OPENVAS_NVT_DIR     "${OPENVAS_STATE_DIR}/plugins")
+endif (NOT OPENVAS_NVT_DIR)
 
 set (OPENVAS_LIB_INSTALL_DIR     "${LIBDIR}")
-set (OPENVAS_SCANNER_CERTIFICATE "${OPENVAS_STATE_DIR}/CA/servercert.pem")
-set (OPENVAS_SCANNER_KEY         "${OPENVAS_STATE_DIR}/private/CA/serverkey.pem")
-set (OPENVAS_CLIENT_CERTIFICATE  "${OPENVAS_STATE_DIR}/CA/clientcert.pem")
-set (OPENVAS_CLIENT_KEY          "${OPENVAS_STATE_DIR}/private/CA/clientkey.pem")
-set (OPENVAS_CA_CERTIFICATE      "${OPENVAS_STATE_DIR}/CA/cacert.pem")
 
 set (OPENVASSD_MESSAGES "${OPENVAS_LOG_DIR}/openvassd.messages")
 set (OPENVASSD_DEBUGMSG "${OPENVAS_LOG_DIR}/openvassd.dump")
@@ -185,11 +186,10 @@
 
 ## Dependency checks
 
-pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=8.0.2)
-pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=8.0.2)
-pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=8.0.2)
-pkg_check_modules (LIBOPENVAS_OMP REQUIRED libopenvas_omp>=8.0.2)
-pkg_check_modules (GLIB REQUIRED glib-2.0>=2.16)
+pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=9.0.0)
+pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=9.0.0)
+pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=9.0.0)
+pkg_check_modules (GLIB REQUIRED glib-2.0>=2.32)
 
 message (STATUS "Looking for libgcrypt...")
 find_library (GCRYPT gcrypt)
@@ -207,8 +207,7 @@
 
 ## Version
 
-string (REPLACE "
-" "" OPENVASSD_VERSION ${CPACK_PACKAGE_VERSION})
+set (OPENVASSD_VERSION "${PROJECT_VERSION_STRING}")
 
 # Configure Doxyfile with version number
 configure_file (doc/Doxyfile.in doc/Doxyfile @ONLY)
@@ -217,19 +216,18 @@
 configure_file (doc/example_redis_2_4.conf.in doc/example_redis_2_4.conf @ONLY)
 configure_file (doc/example_redis_2_6.conf.in doc/example_redis_2_6.conf @ONLY)
 configure_file (VERSION.in VERSION @ONLY)
-configure_file (tools/openvas-mkcert.in tools/openvas-mkcert @ONLY)
-configure_file (tools/openvas-mkcert-client.in tools/openvas-mkcert-client @ONLY)
-configure_file (tools/openvas-nvt-sync.in tools/openvas-nvt-sync @ONLY)
 configure_file (tools/greenbone-nvt-sync.in tools/greenbone-nvt-sync @ONLY)
 # TODO: Once  Scanner has a proper logging mechanism like Manager.
 #configure_file (src/openvassd_log_conf.cmake_in src/openvassd_log.conf)
 
 ## Program
 
-set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2 -fstack-protector -Wl,-z,relro -Wl,-z,now")
-
-set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror")
-set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} ${HARDENING_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE")
+set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2 -fstack-protector")
+set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")
+set (GPGME_C_FLAGS              "-D_FILE_OFFSET_BITS=64 -DLARGEFILE_SOURCE=1")
+
+set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} ${GPGME_C_FLAGS} -Werror -Wextra")
+set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} ${HARDENING_FLAGS} ${GPGME_C_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE")
 
 add_subdirectory (src)
 
@@ -251,27 +249,15 @@
 #install (FILES openvassd_log.conf
 #         DESTINATION ${OPENVAS_SYSCONF_DIR})
 
-install (FILES ${CMAKE_BINARY_DIR}/tools/openvas-mkcert
-               ${CMAKE_BINARY_DIR}/tools/openvas-nvt-sync
-               ${CMAKE_BINARY_DIR}/tools/greenbone-nvt-sync
+install (FILES ${CMAKE_BINARY_DIR}/tools/greenbone-nvt-sync
          DESTINATION ${SBINDIR}
          PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
                      GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 
-install (FILES ${CMAKE_BINARY_DIR}/tools/openvas-mkcert-client
-         DESTINATION ${BINDIR}
-         PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
-                     GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-
-install (FILES ${CMAKE_SOURCE_DIR}/doc/openvas-mkcert-client.1
-          DESTINATION ${DATADIR}/man/man1 )
-
 install (FILES ${CMAKE_BINARY_DIR}/doc/openvassd.8
          DESTINATION ${DATADIR}/man/man8 )
 
-install (FILES ${CMAKE_SOURCE_DIR}/doc/openvas-mkcert.8
-               ${CMAKE_SOURCE_DIR}/doc/openvas-nvt-sync.8
-               ${CMAKE_SOURCE_DIR}/doc/greenbone-nvt-sync.8
+install (FILES ${CMAKE_SOURCE_DIR}/doc/greenbone-nvt-sync.8
          DESTINATION ${DATADIR}/man/man8 )
 
 install (FILES ${CMAKE_BINARY_DIR}/doc/example_redis_2_4.conf

=== debian/changelog ===
openvas-scanner (5.1.1-3) unstable; urgency=medium

  [ Javier Fernández-Sanguino Peña ]
  * Add previous changelog entries from openvas-server (Closes: #873968)

  [ SZ Lin (林上智) ]
  * d/po: Add ru.po from Lev Lamberov (Closes: #883141)
  * d/control: Bump standards version to 4.1.2
  * d/control: Bump version of "debhelper" to 10
  * d/compat: Bump compat version to 10

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 01 Dec 2017 13:49:29 +0800

openvas-scanner (5.1.1-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.0.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 11:26:56 +0800

openvas-scanner (5.1.1-1~exp2) experimental; urgency=medium

  * Add libgcrypt20-dev in build-depending (Closes: #864126)
  * Remove libgcrypt11-dev transition package in build-depending

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 05 Jun 2017 11:48:35 +0800

openvas-scanner (5.1.1-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Add es.po from jathan (Closes: #855612, #856245)

  [ SZ Lin (林上智) ]
  * Add pt.po from Traduz (Closes: #858750)
  * Move it to experimental archive

  [ Gavin Lai ]
  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 21 Mar 2017 23:19:48 +0800

openvas-scanner (5.1.0-1) UNRELEASED; urgency=medium

  * Import new upstream release
  * Add German debconf templates translation (Closes: #843771)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 15:04:56 +0800

openvas-server (2.0.3-6) unstable; urgency=low

  * debian/openvas-server.config: Change the template names to openvas-server
    which prevents an installation error for users running on 'medium' or lower
    debconf priority (Closes: #674612)
  * debian/openvas-server.postrm: Remove cache directory after purge 
    (Closes: #608734)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 30 May 2012 23:52:49 +0200

openvas-server (2.0.3-5) unstable; urgency=low

  * debian/control: 
     - Add a reference to nessus in the package description (Closes: #580252)
     - Update references to VCS
  * _Really_ include the translation updates promised in the previous
    version (Closes: #581744, #597312)
  * debian/README.Debian: Update the name of the openvas-plugins script
    (Closes: #580528, #662647)
  [ Changes by Jan Wagner <waja@cyconet.org> ]
  * Add gettext-base as dependency for openvas-server (LP: #511981)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 06 Oct 2010 02:21:32 +0200

openvas-server (2.0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Eder L. Marques).  Closes: #629116
    - Dutch; (Jeroen Schot).  Closes: #655719
    - Slovak (Ivan Masár).  Closes: #656527
    - Danish (Joe Hansen).  Closes: #656747
    - Spanish; (Javier Fernández-Sanguino).  Closes: #656405

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jan 2012 07:47:56 +0100

 openvas-server (2.0.3-4) unstable; urgency=low
 
   * Update for PO-debconf translation updates:

openvas-server (2.0.3-4) unstable; urgency=low

  * Update for PO-debconf translation updates:
    - Updated Brazilian Portuguese Translation, provided by Eder L. Marques
      (Closes: #581744)
    - Updated Italian translation, provided by Vincenzo Campanella (Closes:
      #597312)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 06 Oct 2010 02:10:52 +0200

openvas-server (2.0.3-3.2) UNRELEASED; urgency=low

  * Stop providing the openvas-nvt-sync script since this will be
    provided by a new openvas-plugins package. (Closes: #546746)
    (Removed patches 11_openvas-nvt-sync.dpatch 12_openvas_nvt-sync-var.dpatch)
    Note: This is required since there are some plugins that
    are required for proper OpenVAS operation.
  * Add debian/README.source to describe patch management
  * Adjust dependencies (Depends: on openvas-plugins and remove the 
    Recommends of tools which are related to plugins)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 20 Sep 2009 04:29:56 +0200

openvas-server (2.0.3-3) unstable; urgency=low

  * Add README.source
  * Raise build-dep of libopenvas2-dev to (>= 2.0.4-2), which should fix build
    issues on mips
  * Fix 10_bashism.dpatch, which broke the scripts
  * Fix Vcs location
  * Remove openvas-nvt-sync, which moved to openvas-plugins-base
    (Closes: #546746)
    - Drop 11_openvas-nvt-sync.dpatch and 12_openvas_nvt-sync-var.dpatch
    - Remove Recommands: rsync, nmap, smbclient
    - Remove Suggests: snmp, pnscan, strobe, ike-scan
  * Add Recommends: openvas-plugins-base
  * Add Suggests: openvas-plugins-dfsg

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Oct 2009 14:40:08 +0200

openvas-server (2.0.3-2) unstable; urgency=low

  * Add 11_openvas-nvt-sync.dpatch and 12_openvas_nvt-sync-var.dpatch to patch
    list (Closes: #534846, #532937)
  * Fix typo in 11_openvas-nvt-sync.dpatch
  * Adjust 11_openvas-nvt-sync.dpatch to work with latest upstream release

 -- Jan Wagner <waja@cyconet.org>  Thu, 27 Aug 2009 16:25:31 +0200

openvas-server (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Raise build-dep of libopenvas2-dev to (>= 2.0.4) and libopenvasnasl2-dev
    to (>= 2.0.2)
  * Bump Standards-Version to 3.8.3, no changes needed
  * Move /usr/bin/openvasd-config back to openvas-server-dev

 -- Jan Wagner <waja@cyconet.org>  Wed, 19 Aug 2009 14:42:31 +0200

openvas-server (2.0.2-2) unstable; urgency=low

  * really add the watch file

 -- Jan Wagner <waja@cyconet.org>  Tue, 04 Aug 2009 13:13:04 +0200

openvas-server (2.0.2-1) unstable; urgency=low

  [ Jan Wagner ]
  * New upstream release
  * Bump Standards-Version to 3.8.2, no changes needed
  * removing absolute path calling rm in postinst, lintian fix.
  * add checkbashisms check for /usr/*bin/openvas-* and add devscripts as
    build-dep
  * add it.po, thanks to Vincenzo Campanella (Closes: #513361)


=== debian/control ===
--- 
+++ 
@@ -2,21 +2,19 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
-Uploaders: Stephan Kleine <bitshuffler@opensuse.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Build-Depends: debhelper (>= 9.20151219),
-               dh-systemd,
-               cmake (>= 2.6),
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           SZ Lin (林上智) <szlin@debian.org>
+Build-Depends: debhelper (>= 10),
+               cmake (>= 2.8),
                pkg-config,
-               libglib2.0-dev,
-               libgcrypt11-dev,
+               libglib2.0-dev (>= 2.32),
+               libgcrypt20-dev,
                libgnutls28-dev,
                libpcap-dev,
-               libopenvas-dev (>= 8.0.2),
+               libopenvas-dev (>= 9),
                po-debconf,
                doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://www.openvas.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 override_dh_installinit:
 	dh_installinit --no-start
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='openvas-scanner (<< 5.0.7-1~)'
-
 override_dh_auto_clean:
 	debconf-updatepo
 	dh_auto_clean

=== debian/watch ===
version=4
 http://wald.intevation.org/frs/?group_id=29 \
 .*/openvas-scanner-(\d[\d.]*)\.tar\.gz$

## openvas-scanner 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
 # we require CMake >= 3.0
 set (PROJECT_VERSION_MAJOR 5)
 set (PROJECT_VERSION_MINOR 1)
-set (PROJECT_VERSION_PATCH 1)
+set (PROJECT_VERSION_PATCH 2)
 
 # Set beta version if this is a beta release series,
 # unset if this is a stable release series.
@@ -186,9 +186,9 @@
 
 ## Dependency checks
 
-pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=9.0.0)
-pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=9.0.0)
-pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=9.0.0)
+pkg_check_modules (LIBOPENVAS_NASL REQUIRED libopenvas_nasl>=9.0.2)
+pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=9.0.2)
+pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=9.0.2)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.32)
 
 message (STATUS "Looking for libgcrypt...")

=== debian/changelog ===
openvas-scanner (5.1.2-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Update debian/watch and debian/control with new upstream github repository
  * Import new usptream release
  * Update minimal required version of libopenvas-dev

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.1.5.
  * Drop lintian override for debian-watch-uses-insecure-uri which is no
    longer needed with the move to GitHub.

 -- Sophie Brun <sophie@freexian.com>  Fri, 06 Jul 2018 14:34:38 +0200

openvas-scanner (5.1.1-4) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix the path of the unix socket also for the SystemV init script
  * Drop debconf support as nothing uses the data of the debconf question
  * Switch to debhelper compat 11
  * Drop git-dpm file as we don't use git-dpm
  * Drop prerm script, it's not doing anything useful
  * Configure a redis-server for openvas using systemd's multi-instance
    support.  openvas-scanner.service requires redis-server@openvas.service
    which will bring into life a new redis-server using our
    /etc/redis/redis-openvas.conf (Closes: #863240)
  * Improve sysv initscript and document its limitations in README.Debian
    (Closes: #865445)
  * Bump Standards-Version to 4.1.3

  [ Jonathan Landis ]
  * Fix the path of the --unix-socket argument in openvas-scanner.service
    (Closes: #863240)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 05 Apr 2018 22:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: openvas-scanner
 Section: admin
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                cmake (>= 2.8),
                pkg-config,
                libglib2.0-dev (>= 2.32),
                libgcrypt20-dev,
                libgnutls28-dev,
                libpcap-dev,
-               libopenvas-dev (>= 9),
-               po-debconf,
+               libopenvas-dev (>= 9.0.2),
                doxygen
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Homepage: http://www.openvas.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-scanner.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/openvas-scanner
+Vcs-Git: https://salsa.debian.org/pkg-security-team/openvas-scanner.git
 
 Package: openvas-scanner
 Section: net
